Bug 3476 - Predefined fee types
Summary: Predefined fee types
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: rel_3_0
Hardware: PC All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-02 05:53 UTC by Jane Wagner
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Predefined fee setup screenshot (97.81 KB, image/jpeg)
2009-08-02 17:53 UTC, Chris Cormack
Details
Predefined fee use screenshot (33.92 KB, image/jpeg)
2009-08-02 17:54 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:08 UTC


---- Reported by jwagner@ptfs.com 2009-08-02 17:53:47 ----

Created an attachment
Predefined fee setup screenshot

Sponsored by East Brunswick Public Library, East Brunswick, NJ, USA.

Add ability to have list of predefined fee types and amounts when creating a manual invoice (e.g., lost card fee, training class, etc.).  To use create authorised values with the category MANUAL_INV.  Authorized Value is the description, and Description is the default fee (if any) rather than the reverse, because the authorised_values table requires the values to be unique.  The code under creating a manual invoice adds these to the pulldown list, and swaps the fee/description to the proper place.

Patch sent July 25, 2009.



---- Additional Comments From jwagner@ptfs.com 2009-08-02 17:54:17 ----

Created an attachment
Predefined fee use screenshot





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3476 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3476
Imported an attachment (id=1340)
Imported an attachment (id=1341)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
CC member bchurch@ptfs.com does not have an account here
The original submitter of attachment 1340 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1341 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Nicole C. Engard 2013-01-09 17:23:59 UTC
I think this is in Koha already (based on description).